| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteUnionType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteUnionType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteUnionType ()
| Default constructor.
eProsima_user_DllExport | ~CompleteUnionType ()
| Default destructor.
eProsima_user_DllExport | CompleteUnionType (const CompleteUnionType &x)
| Copy constructor.
eProsima_user_DllExport | CompleteUnionType (CompleteUnionType &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteUnionType & | operator= (const CompleteUnionType &x)
| Copy assignment.
eProsima_user_DllExport CompleteUnionType & | operator= (CompleteUnionType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteUnionType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteUnionType &x) const
| Comparison operator.
eProsima_user_DllExport void | union_flags (const UnionTypeFlag &_union_flags)
| This function copies the value in member union_flags.
eProsima_user_DllExport void | union_flags (UnionTypeFlag &&_union_flags)
| This function moves the value in member union_flags.
eProsima_user_DllExport const UnionTypeFlag & | union_flags () const
| This function returns a constant reference to member union_flags.
eProsima_user_DllExport UnionTypeFlag & | union_flags ()
| This function returns a reference to member union_flags.
eProsima_user_DllExport void | header (const CompleteUnionHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (CompleteUnionHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const CompleteUnionHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport CompleteUnionHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | discriminator (const CompleteDiscriminatorMember &_discriminator)
| This function copies the value in member discriminator.
eProsima_user_DllExport void | discriminator (CompleteDiscriminatorMember &&_discriminator)
| This function moves the value in member discriminator.
eProsima_user_DllExport const CompleteDiscriminatorMember & | discriminator () const
| This function returns a constant reference to member discriminator.
eProsima_user_DllExport CompleteDiscriminatorMember & | discriminator ()
| This function returns a reference to member discriminator.
eProsima_user_DllExport void | member_seq (const CompleteUnionMemberSeq &_member_seq)
| This function copies the value in member member_seq.
eProsima_user_DllExport void | member_seq (CompleteUnionMemberSeq &&_member_seq)
| This function moves the value in member member_seq.
eProsima_user_DllExport const CompleteUnionMemberSeq & | member_seq () const
| This function returns a constant reference to member member_seq.
eProsima_user_DllExport CompleteUnionMemberSeq & | member_seq ()
| This function returns a reference to member member_seq.

## Detailed Description

This class represents the structure CompleteUnionType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteUnionType() [1/3]

eProsima_user_DllExport CompleteUnionType | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteUnionType()

eProsima_user_DllExport ~CompleteUnionType | ( |  | ) |

inline

Default destructor.

## ◆ CompleteUnionType() [2/3]

eProsima_user_DllExport CompleteUnionType | ( | const CompleteUnionType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteUnionType that will be copied.

## ◆ CompleteUnionType() [3/3]

eProsima_user_DllExport CompleteUnionType | ( | CompleteUnionType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteUnionType that will be copied.

## Member Function Documentation

## ◆ discriminator() [1/4]

eProsima_user_DllExport CompleteDiscriminatorMember & discriminator | ( |  | ) |

inline

This function returns a reference to member discriminator.

Returns
  Reference to member discriminator

## ◆ discriminator() [2/4]

eProsima_user_DllExport const CompleteDiscriminatorMember & discriminator | ( |  | ) | const

inline

This function returns a constant reference to member discriminator.

Returns
  Constant reference to member discriminator

## ◆ discriminator() [3/4]

eProsima_user_DllExport void discriminator | ( | CompleteDiscriminatorMember && | _discriminator | ) |

inline

This function moves the value in member discriminator.

Parameters

  _discriminator | New value to be moved in member discriminator

## ◆ discriminator() [4/4]

eProsima_user_DllExport void discriminator | ( | const CompleteDiscriminatorMember & | _discriminator | ) |

inline

This function copies the value in member discriminator.

Parameters

  _discriminator | New value to be copied in member discriminator

## ◆ header() [1/4]

eProsima_user_DllExport CompleteUnionHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const CompleteUnionHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | CompleteUnionHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | const CompleteUnionHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ member_seq() [1/4]

eProsima_user_DllExport CompleteUnionMemberSeq & member_seq | ( |  | ) |

inline

This function returns a reference to member member_seq.

Returns
  Reference to member member_seq

## ◆ member_seq() [2/4]

eProsima_user_DllExport const CompleteUnionMemberSeq & member_seq | ( |  | ) | const

inline

This function returns a constant reference to member member_seq.

Returns
  Constant reference to member member_seq

## ◆ member_seq() [3/4]

eProsima_user_DllExport void member_seq | ( | CompleteUnionMemberSeq && | _member_seq | ) |

inline

This function moves the value in member member_seq.

Parameters

  _member_seq | New value to be moved in member member_seq

## ◆ member_seq() [4/4]

eProsima_user_DllExport void member_seq | ( | const CompleteUnionMemberSeq & | _member_seq | ) |

inline

This function copies the value in member member_seq.

Parameters

  _member_seq | New value to be copied in member member_seq

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteUnionType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteUnionType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteUnionType & operator= | ( | CompleteUnionType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteUnionType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteUnionType & operator= | ( | const CompleteUnionType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteUnionType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteUnionType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteUnionType object to compare.

## ◆ union_flags() [1/4]

eProsima_user_DllExport UnionTypeFlag & union_flags | ( |  | ) |

inline

This function returns a reference to member union_flags.

Returns
  Reference to member union_flags

## ◆ union_flags() [2/4]

eProsima_user_DllExport const UnionTypeFlag & union_flags | ( |  | ) | const

inline

This function returns a constant reference to member union_flags.

Returns
  Constant reference to member union_flags

## ◆ union_flags() [3/4]

eProsima_user_DllExport void union_flags | ( | const UnionTypeFlag & | _union_flags | ) |

inline

This function copies the value in member union_flags.

Parameters

  _union_flags | New value to be copied in member union_flags

## ◆ union_flags() [4/4]

eProsima_user_DllExport void union_flags | ( | UnionTypeFlag && | _union_flags | ) |

inline

This function moves the value in member union_flags.

Parameters

  _union_flags | New value to be moved in member union_flags

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp